"use strict";

exports.__esModule = true;
exports.default = void 0;

var DriverWeex = _interopRequireWildcard(require("driver-weex"));

var _styleUnit = require("style-unit");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var driver = Object.assign({}, DriverWeex, {
  beforeRender: function beforeRender() {
    // Turn off batched updates
    document.open(); // Init rem unit

    (0, _styleUnit.setRem)(1);
  },
  createElement: function createElement(type, props) {
    if (props === void 0) {
      props = {};
    }

    var style = {};
    var originStyle = props['style'];

    if (originStyle) {
      for (var prop in originStyle) {
        style[prop] = (0, _styleUnit.convertUnit)(originStyle[prop], prop);
      }
    }

    return DriverWeex.createElement(type, Object.assign({}, props, {
      style: style
    }));
  }
});
var _default = driver;
exports.default = _default;